Jump to content

Stock Chart Mod for Spotfire® 1.1.0 (Spotfire 11.4 LTS+)


1 Screenshot

Summary

Visualize movements in the price of a financial instrument over time.

Preview

Exchange-ScreenshotStockChartMod.png.7013b7576edbe432a584c24c3ee60781.png

The stock chart mod enables the visualization of candlestick and open-high-low-close chart (OHLC) of stock price data to illustrate movements in the price of a financial instrument over time, in combination with an optional trading volume histogram.


Try this Mod

Cloud example

Spotfire® Analyst

Download this mod and follow the instructions below to open the mod in Spotfire Analyst:

  1. Open Spotfire® Analyst, and create an analysis by loading some data.
  2. Drag the downloaded .mod file into the analysis.
  3. The visualization mod is added to the analysis.
  4. To learn more about the capabilities and limitations of this visualization mod, read the user guide located in the downloaded folder.

For general information on how to use and share visualization mods, read the Spotfire documentation.


Data Requirement

To make the stock chart mod work properly, the underlying data must be formatted in a certain way. A data table with at least five columns is required. One column should contain the dates in the price time series, the other four columns require the daily open, high, low and close prices. Volume data is optional.

For detailed information on data requirements, the available settings, and an example of how to set up the visualization, read the mod's community article.


Help & Support

This Mod for Spotfire® is not supported by Spotfire Support.

In the event of issues or to suggest features and enhancements, submit an issue in the Mod's GitHub repository.

For general questions about Mods, please post a question in the Forum for Extensions & Mods.


GitHub

1.1.0 (Spotfire 11.4 LTS and later)
October 2021
- New option available from the settings to change the scale to a logarithmic base
- Setting are now accessed from a button
- Show/hide authoring capabilities depending on the Spotfire mode (editing/viewing)
- TIBCO Spotfire® 11.4 LTS is the minimum required version

1.0.0 (Spotfire 11.0 and later)
February 2021
- Initial release

×
×
  • Create New...